cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序"

*····································进口额····································*
*美国
use 美国从中国进口额.dta
merge m:1 hs using hs_isic-修改删除后.dta
sort isic3_2adj year
egen miss=rmiss(isic3_2adj)
drop if miss==1
drop _merge miss
collapse (sum) tradevalue (count) n=hs ,by(year isic3_2adj)
order year isic3_2adj tradevalue
xtset year isic3_2adj
egen miss=rmiss(year)
drop if miss==1
drop miss
save  美国从中国行业进口额（面板）.dta


*中国
clear

use 中从美进口额.dta
merge m:1 hs using hs_isic-修改删除后.dta
sort isic3_2adj year
egen miss=rmiss(isic3_2adj)
drop if miss==1
drop _merge miss
collapse (sum) tradevalue (count) n=hs ,by(year isic3_2adj)
order year isic3_2adj tradevalue
xtset isic3_2adj year
egen miss=rmiss(year)
drop if miss==1
drop miss
save  中从美行业进口额（面板）.dta

*··································行业关税····································*
*中国-美国
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序\最终版"
use CU关税.dta
joinby hs_4 using hs4_isic2-修改删除后.dta
order year isic3_2adj hs_4

gen miss=1 if tariff==".."|tariff=="#VALUE!"
sort miss hs_4 isic3_2a
egen code=group(hs_4)
drop if miss==1
drop miss
destring tariff,replace
save 中国从美国进口关税-剔除样本后.dta

collapse (mean) tariff (count) n_4=hs_4 (max) max=tariff ///
	(min) min=tariff, 	by(year isic3_2adj)
xtset isic3_2adj year
save 中国从美国进口行业关税1998-2014.dta


*美国-中国
use UC关税.dta
joinby hs_4 using hs4_isic2-修改删除后.dta
order year isic3_2adj hs_4 tariff

gen miss=1 if tariff==".."|tariff=="#VALUE!"
sort miss hs_4 isic3_2a
egen code=group(hs_4)
drop if miss==1 //(616 observations deleted)
drop miss code
destring tariff,replace
save 美国从中国进口关税-剔除样本后.dta

bysort isic3_2adj: tabstat tariff, by(year) s(min max sd n mean)
collapse (mean) tariff (count) n_4=hs_4 (max) max=tariff ///
	(min) min=tariff, 	by(year isic3_2adj)
xtset isic3_2adj year
save 美国从中国进口行业关税1998-2014.dta


*································利润··········································*

use 中从美行业进口额（面板）.dta
merge 1:1 year isic3_2adj using 中国从美国进口行业关税1998-2014.dta
drop _merge
merge 1:1 year isic3_2adj using 美国从中国进口行业关税1998-2014.dta
drop _merge
save CHN.dta,replace
merge 1:1 year isic3_2 using CHN-PRO.dta
drop _merge
merge m:1 year using CHN-PRO-C.dta
drop _merge
xtset isic3_2adj year
gen pro=pro_c/exchangerate //单位变换“亿美元”
gen realpro= pro*100/CPI2010
drop if year<1999
drop if year>2014
save CHpanel1999-2014.dta

clear
use 美国从中国行业进口额（面板）.dta
merge 1:1 year isic3_2adj using 中国从美国进口行业关税1998-2014.dta
drop _merge
merge 1:1 year isic3_2adj using 美国从中国进口行业关税1998-2014.dta
drop _merge
save USA.dta,replace
merge 1:1 year isic3_2 using USA-PRO.dta
drop _merge
merge m:1 year using USA-PRO-C.dta
drop _merge
gen realpro= pro*100/CPI2010
drop if year<1999
drop if year>2014
save USpanel1999-2014.dta


*·································工业产值·····································*
*CHN
use output-CHN1999-2014.dta
collapse (sum) output亿元, by(year isic3_2adj)
drop if isic3_2adj==40
xtset isic3_2adj year
save output-CHN1999-2014.dta,replace
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序\最终版"
merge 1:1  year isic3_2adj using CHpanel1999-2014.dta
xtset isic3_2adj year
gen output=output亿元/exchangerate //单位从亿元变为亿美元
gen realoutput= output*100/CPI2010
drop _merge
*计算进口渗透率
gen hfimp=cuvalue/output
save CHpanel1999-2014.dta,replace

*USA
use output-USA1999-2014.dta,replace
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序\最终版"
merge 1:1  year isic3_2adj using USpanel1999-2014.dta
xtset isic3_2adj year
gen realoutput= output*100/CPI2010
drop _merge
*计算进口渗透率
gen hfimp=ucvalue/output
save USpanel1999-2014.dta,replace


*····································美国企业数·······························*
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序"

clear
gen year=1999
order year naics
sort naics
save us_6digitnaics_1999.dta
drop if naics=="31-33"|naics=="44-45"|naics=="48-49"
destring naics,replace
save usfirm1999.dta

gen n12_3adj=naics
replace  n12_3adj=336.1 if naics>=3361&naics<=3363
replace  n12_3adj=336.2 if naics>=3364&naics<=3369
rename naics n12_3 
replace n12_3adj=111 if n12_3==112
replace n12_3adj=113 if n12_3==114|n12_3==115
replace n12_3adj=236 if n12_3==237|n12_3==238
replace n12_3adj=311 if n12_3==312
replace n12_3adj=313 if n12_3==314
replace n12_3adj=315 if n12_3==316
replace n12_3adj=487 if n12_3==488|n12_3==492
replace n12_3adj=515 if n12_3==517
replace n12_3adj=518 if n12_3==519
replace n12_3adj=532 if n12_3==533
replace n12_3adj=622 if n12_3==623
replace n12_3adj=711 if n12_3==712
save usfirm1999.dta,replace

joinby n12_3adj using N12-I3-修改后.dta
rename firm n_firms
rename estb n_establish
rename entrsize size
duplicates report year n12_3adj isic3_2adj size n_firms n_establish
duplicates list year n12_3adj isic3_2adj size n_firms n_establish
duplicates drop year n12_3adj isic3_2adj size n_firms n_establish,force //0
gen N=n_firms+n_establish
order  year n12_3adj isic3_2adj size N n_firms n_establish
save usfirm1999整合.dta
sort year isic3_2adj size
collapse (sum) N n_firms n_establish,by(year isic3_2adj size)
save 1999美国分行业企业数.dta
drop if size!=1
drop size
xtset isic3_2adj year
save 1999美国分行业企业数-use.dta

clear
gen year=2000
order year naicscode
sort naicscode
save us_6digitnaics_2000.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
sort total //(4 observations deleted)
destring naicscode total,replace
save usfirm2000.dta

clear
gen year=2001
order year naicscode
sort naicscode
save us_6digitnaics_2001.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
sort total //(12 observations deleted)
destring naicscode total,replace
save usfirm2001.dta

use usfirm2000.dta
append using usfirm2001.dta
drop em* var13
sort naicscode
save usfirm2000-2001.dta
gen n12_3adj=naicscode
replace  n12_3adj=336.1 if naicscode>=3361&naicscode<=3363 //24 real changes made
replace  n12_3adj=336.2 if naicscode>=3364&naicscode<=3369 //32 real changes made
rename naicscode n12_3 
replace n12_3adj=111 if n12_3==112
replace n12_3adj=113 if n12_3==114|n12_3==115
replace n12_3adj=236 if n12_3==237|n12_3==238
replace n12_3adj=311 if n12_3==312
replace n12_3adj=313 if n12_3==314
replace n12_3adj=315 if n12_3==316
replace n12_3adj=487 if n12_3==488|n12_3==492
replace n12_3adj=515 if n12_3==517
replace n12_3adj=518 if n12_3==519
replace n12_3adj=532 if n12_3==533
replace n12_3adj=622 if n12_3==623
replace n12_3adj=711 if n12_3==712
save usfirm2000-2001.dta,replace

joinby n12_3adj using N12-I3-修改后.dta
duplicates drop year n12_3adj isic3_2adj datatype total,force //0
order  year n12_3adj isic3_2adj total
save usfirm2000-2001整合.dta
collapse (sum) total (max) max=total (min) min=total,by(year isic3_2adj datatype)
save 2000-2001美国分行业data.dta
drop if datatype!="Establishments"&datatype!="Firms"
gen n_establish=total if datatype=="Establishments"
gen n_firms=total if datatype=="Firms"
save 2000-2001美国分行业企业数.dta
collapse (sum) n_firms n_establish,by(year isic3_2adj)
gen N=n_firms+n_establish
xtset isic3_2adj year
order year isic3_2adj N
save 2000-2001美国分行业企业数-use.dta



gen year=2002
order year naicscode
sort naicscode
save us_6digitnaics_empl_2002.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
sort total //(24 observations deleted)
destring naicscode total,replace
save usfirm2002.dta

clear
gen year=2003
order year naicscode
sort naicscode
save us_6digitnaics_2003.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
sort total //(16 observations deleted)
destring naicscode total,replace
save usfirm2003.dta

clear
gen year=2004
order year naicscode
sort naicscode
save us_6digitnaics_2004.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
sort total //(16 observations deleted)
destring naicscode total,replace
save usfirm2004.dta

use usfirm2002.dta
append using usfirm2003.dta
append using usfirm2004.dta
drop em* var13
save usfirm2002-2004.dta,replace

clear
gen year=2005
order year naicscode
sort naicscode
save us_6digitnaics_2005.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
sort total //(16 observations deleted)
destring naicscode total,replace
drop em* var12
save usfirm2005.dta

clear
gen year=2006
order year naicscode
sort naicscode
save us_6digitnaics_2006.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
sort total //(24 observations deleted)
destring naicscode total,replace
drop em* var12
save usfirm2006.dta

use usfirm2002-2004.dta
append using usfirm2005.dta
append using usfirm2006.dta
sort year naics*
save  usfirm2002-2006.dta

gen n12_3adj=naicscode
replace  n12_3adj=336.1 if naicscode>=3361&naicscode<=3363
replace  n12_3adj=336.2 if naicscode>=3364&naicscode<=3369
rename naicscode n12_3 
replace n12_3adj=111 if n12_3==112
replace n12_3adj=113 if n12_3==114|n12_3==115
replace n12_3adj=236 if n12_3==237|n12_3==238
replace n12_3adj=311 if n12_3==312
replace n12_3adj=313 if n12_3==314
replace n12_3adj=315 if n12_3==316
replace n12_3adj=487 if n12_3==488|n12_3==492
replace n12_3adj=515 if n12_3==517
replace n12_3adj=518 if n12_3==519
replace n12_3adj=532 if n12_3==533
replace n12_3adj=622 if n12_3==623
replace n12_3adj=711 if n12_3==712
save usfirm2002-2006.dta,replace

joinby n12_3adj using N12-I3-修改后.dta
duplicates drop year n12_3adj isic3_2adj datatype total,force
order  year n12_3adj isic3_2adj total
save usfirm2002-2006整合.dta
collapse (sum) total (max) max=total (min) min=total,by(year isic3_2adj datatype)
xtset year isic3_2adj
save 2002-2006美国分行业企业数.dta

clear
gen year=2007
order year naicscode
sort naicscode
save us_6digitnaics_2007.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
destring naicscode,replace
save usfirm2007.dta

clear
gen year=2008
order year naicscode
sort naicscode
save us_6digitnaics_2008.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
destring naicscode,replace
save usfirm2008.dta

clear
gen year=2009
order year naicscode
sort naicscode
save us_6digitnaics_2009.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
destring naicscode,replace
save usfirm2009.dta

clear
gen year=2010
order year naicscode
sort naicscode
save us_6digitnaics_2010.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
destring naicscode,replace
save usfirm2010.dta

clear
gen year=2011
order year naicscode
sort naicscode
save us_6digitnaics_2011.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
destring naicscode,replace
save usfirm2011.dta

clear
gen year=2012
order year naicscode
sort naicscode
save us_6digitnaics_2012.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
destring naicscode,replace
save usfirm2012.dta

clear
gen year=2013
order year naicscode
sort naicscode
save us_6digitnaics_2013.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
destring naicscode,replace
save usfirm2013.dta

clear
gen year=2014
order year naicscode
sort naicscode
save us_6digitnaics_2014.dta
drop if naicscode=="31-33"|naicscode=="44-45"|naicscode=="48-49"
destring naicscode,replace
save usfirm2014.dta


use usfirm2007.dta
append using usfirm2008.dta
append using usfirm2009.dta
append using usfirm2010.dta
append using usfirm2011.dta
append using usfirm2011.dta
append using usfirm2012.dta
append using usfirm2013.dta
append using usfirm2014.dta
sort year naics*
save  usfirm2007-2014.dta

gen n12_3adj=naicscode
replace  n12_3adj=336.1 if naicscode>=3361&naicscode<=3363
replace  n12_3adj=336.2 if naicscode>=3364&naicscode<=3369
rename naicscode n12_3 
replace n12_3adj=111 if n12_3==112
replace n12_3adj=113 if n12_3==114|n12_3==115
replace n12_3adj=236 if n12_3==237|n12_3==238
replace n12_3adj=311 if n12_3==312
replace n12_3adj=313 if n12_3==314
replace n12_3adj=315 if n12_3==316
replace n12_3adj=487 if n12_3==488|n12_3==492
replace n12_3adj=515 if n12_3==517
replace n12_3adj=518 if n12_3==519
replace n12_3adj=532 if n12_3==533
replace n12_3adj=622 if n12_3==623
replace n12_3adj=711 if n12_3==712
save usfirm2007-2014.dta,replace
joinby n12_3adj using N12-I3-修改后.dta
rename enterpriseemploymentsize size
rename numberoffirms n_firms
rename numberofestablishments n_establishments
rename n_establishments n_establish
duplicates report year n12_3adj isic3_2adj size n_firms n_establish
duplicates list year n12_3adj isic3_2adj size n_firms n_establish
duplicates drop year n12_3adj isic3_2adj size n_firms n_establish,force
gen N=n_firms+n_establish
order  year n12_3adj isic3_2adj size N n_firms n_establish
save usfirm2007-2014整合.dta
sort year isic3_2adj size
collapse (sum) N n_firms n_establish,by(year isic3_2adj size)
save 2007-2014美国分行业企业数.dta
drop if size!="1:   Total"&size!="01:  Total"
drop size
xtset year isic3_2adj
save 2007-2014美国分行业企业数-use.dta,replace

use 2002-2006美国分行业企业数.dta
save  2002-2006美国分行业data.dta
drop if datatype!="Establishments"&datatype!="Firms"
gen n_establish=total if datatype=="Establishments"
gen n_firms=total if datatype=="Firms"
save 2002-2006美国分行业企业数.dta,replace
collapse (sum) n_firms n_establish,by(year isic3_2adj)
gen N=n_firms+n_establish
xtset year isic3_2adj
order year isic3_2adj N
save 2002-2006美国分行业企业数-use.dta
append using 2000-2001美国分行业企业数-use.dta
append using 1999美国分行业企业数-use.dta
append using 2007-2014美国分行业企业数-use.dta
save 1999-2014美国分行业企业数-use.dta

cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序\最终版"
merge 1:1 year isic3_2adj using USpanel1999-2014.dta
drop _merge
gen country="USA"
order year isic3_2adj country 
save USpanel1999-2014.dta,replace

*································中国企业数····································*
clear
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序"
use 中国企业数1999.dta
append using 中国企业数2000.dta
append using 中国企业数2001.dta
append using 中国企业数2002.dta
append using 中国企业数2003.dta
append using 中国企业数2004.dta
append using 中国企业数2005.dta
append using 中国企业数2006.dta
append using 中国企业数2007.dta
append using 中国企业数2008.dta
append using 中国企业数2009.dta
append using 中国企业数2010.dta
append using 中国企业数2011.dta
append using 中国企业数2012.dta
append using 中国企业数2013.dta
append using 中国企业数2014.dta
save 中国企业数1999-2014.dta
xtset  year isic3_2adj
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序\最终版"
merge 1:1 year isic3_2adj using CHpanel1999-2014.dta
drop _merge
gen country="CHN"
drop if year>2014
order year isic3_2adj country 
save CHpanel1999-2014.dta,replace


*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~FDI处理~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
*US
cd "D:\研究生\中美贸易战\期刊论文\国际贸易问题\程序"
*Foreign Direct Investment in the U.S.,
*Direct Investment Income Without Current-Cost Adjustment
clear
use "Direct Investment Income Without Current-Cost Adjustment 1997-2018.dta"
destring isi*,replace
gen n12_3adj=isi3
replace  n12_3adj=336.1 if isicode>=3361&isicode<=3363
replace  n12_3adj=336.2 if isicode>=3364&isicode<=3369
rename isi3 n12_3 
order  n12_3adj

replace n12_3adj=111 if n12_3==112
replace n12_3adj=113 if n12_3==114|n12_3==115
replace n12_3adj=236 if n12_3==237|n12_3==238
replace n12_3adj=311 if n12_3==312
replace n12_3adj=313 if n12_3==314
replace n12_3adj=315 if n12_3==316
replace n12_3adj=487 if n12_3==488|n12_3==492
replace n12_3adj=515 if n12_3==517
replace n12_3adj=518 if n12_3==519
replace n12_3adj=532 if n12_3==533
replace n12_3adj=622 if n12_3==623
replace n12_3adj=711 if n12_3==712
save 美国FDI-ffdi1997-2018-adj.dta

cd "D:\研究生\中美贸易战\数模\程序"
joinby n12_3adj using N12-I3-修改后.dta
order isic3_2adj n12_3adj
cd "D:\研究生\中美贸易战\期刊论文\国际贸易问题\程序"
collapse (sum) y199* y20*,by(isic3_2adj)
save 美国FDI-ffdi1997-2018-17ind.dta

use US-FDI1997-2018.dta
replace ffdi=ffdi/100
label variable ffdi "亿美元"
save US-FDI1997-2018.dta,replace
merge 1:1 isic3_2adj year using USpanel1999-2014.dta
drop if year<1999|year>2014
drop _merge
save USpanel1999-2014.dta,replace

clear
use CHN-FDI2000-2017.dta
cd "D:\研究生\中美贸易战\数模\程序"
merge 1:1 isic3_2adj year using CHpanel1999-2014.dta
gen ffdi=ffdi亿元/exchangerate
label variable ffdi "亿美元"
gen realffdi=ffdi*100/CPI2010
drop if year<1999|year>2014
drop _merge
save CHpanel1999-2014.dta,replace


*·······························中间品关税·····································*
*2012-2014
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\中间品关税\wiot_stata_Nov16"
use WIOT2012_October16_ROW.dta
drop if Country!="CHN"&Country!="USA"&Country!="TOT"
drop vA* vB* vCHE* vCYP* vD* vE* vF* vG* vH* vI* vJ* vK* vL* vM* vN* vP*  ///
	vR* vS* vTWN* vCAN* vCZE* vTUR* 
save WIOT2012_October16.dta
drop if RNr<=3|RNr>=25
gen isic3_2adj=10 if RNr==4
replace isic3_2adj=15 if RNr==5
replace isic3_2adj=17 if RNr==6
replace isic3_2adj=20 if RNr==7
replace isic3_2adj=21 if RNr==8
replace isic3_2adj=22 if RNr==9
replace isic3_2adj=23 if RNr==10
replace isic3_2adj=24 if RNr==11
replace isic3_2adj=24 if RNr==12
replace isic3_2adj=25 if RNr==13
replace isic3_2adj=26 if RNr==14
replace isic3_2adj=27 if RNr==15
replace isic3_2adj=28 if RNr==16
replace isic3_2adj=29 if RNr>=17&RNr<=19|RNr==23
replace isic3_2adj=34 if RNr==20|RNr==21
replace isic3_2adj=36 if RNr==22
replace isic3_2adj=40 if RNr==24
save WIOT2012.dta
drop vCHN1-vCHN3 vCHN25-vCHN56
drop vUSA1-vUSA3 vUSA25-vUSA56
collapse (sum) vCHN* vUSA* TOT,by(Country isic3_2adj Year)
save WIOT2012-industry.dta

use WIOT2013_October16_ROW.dta
drop if Country!="CHN"&Country!="USA"&Country!="TOT"
drop vA* vB* vCHE* vCYP* vD* vE* vF* vG* vH* vI* vJ* vK* vL* vM* vN* vP*  ///
	vR* vS* vTWN* vCAN* vCZE* vTUR* 
save WIOT2013_October16.dta
drop if RNr<=3|RNr>=25
gen isic3_2adj=10 if RNr==4
replace isic3_2adj=15 if RNr==5
replace isic3_2adj=17 if RNr==6
replace isic3_2adj=20 if RNr==7
replace isic3_2adj=21 if RNr==8
replace isic3_2adj=22 if RNr==9
replace isic3_2adj=23 if RNr==10
replace isic3_2adj=24 if RNr==11
replace isic3_2adj=24 if RNr==12
replace isic3_2adj=25 if RNr==13
replace isic3_2adj=26 if RNr==14
replace isic3_2adj=27 if RNr==15
replace isic3_2adj=28 if RNr==16
replace isic3_2adj=29 if RNr>=17&RNr<=19|RNr==23
replace isic3_2adj=34 if RNr==20|RNr==21
replace isic3_2adj=36 if RNr==22
replace isic3_2adj=40 if RNr==24
save WIOT2013.dta
drop vCHN1-vCHN3 vCHN25-vCHN56
drop vUSA1-vUSA3 vUSA25-vUSA56
collapse (sum) vCHN* vUSA* TOT,by(Country isic3_2adj Year)
save WIOT2013-industry.dta

use WIOT2014_October16_ROW.dta
drop if Country!="CHN"&Country!="USA"&Country!="TOT"
drop vA* vB* vCHE* vCYP* vD* vE* vF* vG* vH* vI* vJ* vK* vL* vM* vN* vP*  ///
	vR* vS* vTWN* vCAN* vCZE* vTUR* 
save WIOT2014_October16.dta
drop if RNr<=3|RNr>=25
gen isic3_2adj=10 if RNr==4
replace isic3_2adj=15 if RNr==5
replace isic3_2adj=17 if RNr==6
replace isic3_2adj=20 if RNr==7
replace isic3_2adj=21 if RNr==8
replace isic3_2adj=22 if RNr==9
replace isic3_2adj=23 if RNr==10
replace isic3_2adj=24 if RNr==11
replace isic3_2adj=24 if RNr==12
replace isic3_2adj=25 if RNr==13
replace isic3_2adj=26 if RNr==14
replace isic3_2adj=27 if RNr==15
replace isic3_2adj=28 if RNr==16
replace isic3_2adj=29 if RNr>=17&RNr<=19|RNr==23
replace isic3_2adj=34 if RNr==20|RNr==21
replace isic3_2adj=36 if RNr==22
replace isic3_2adj=40 if RNr==24
save WIOT2014.dta
drop vCHN1-vCHN3 vCHN25-vCHN56
drop vUSA1-vUSA3 vUSA25-vUSA56
collapse (sum) vCHN* vUSA* TOT,by(Country isic3_2adj Year)
save WIOT2014-industry.dta

*2012-2014
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\中间品关税\wiot_stata_Nov16"
use WIOT2012-industry.dta
drop vUSA*
drop if Country=="CHN"
save  WIOT2012-industry-CHN.dta

use WIOT2012-industry.dta
drop vCHN*
drop if Country=="USA"
save  WIOT2012-industry-USA.dta

rename vUSA4 I10
rename vUSA5 I15
rename vUSA6 I17
rename vUSA7 I20
rename vUSA8 I21
rename vUSA9 I22
rename vUSA10 I23
gen I24=vUSA11+vUSA12
rename vUSA13 I25
rename vUSA14 I26
rename vUSA15 I27
rename vUSA16 I28
gen I29=vUSA17+vUSA18+vUSA19+vUSA23
gen I34=vUSA20+vUSA21
rename vUSA22 I36
rename vUSA24 I40
order I*
order Country Year isic I10-I40
save WIOT2012-industry-USA.dta,replace
use WIOT2012-industry-USA.dta
collapse (sum) I*,by(Country Year)
append using WIOT2012-industry-USA.dta
order Country Year isic I10-I40
xtset isic Year
save WIOT2012-industry-USA.dta,replace

use WIOT2012-industry-CHN.dta
rename vCHN4 I10
rename vCHN5 I15
rename vCHN6 I17
rename vCHN7 I20
rename vCHN8 I21
rename vCHN9 I22
rename vCHN10 I23
gen I24=vCHN11+vCHN12
rename vCHN13 I25
rename vCHN14 I26
rename vCHN15 I27
rename vCHN16 I28
gen I29=vCHN17+vCHN18+vCHN19+vCHN23
gen I34=vCHN20+vCHN21
rename vCHN22 I36
rename vCHN24 I40
order I*
order Country Year isic I10-I40
save WIOT2012-industry-CHN.dta,replace

collapse (sum) I*,by(Country Year)
append using WIOT2012-industry-CHN.dta
order Country Year isic I10-I40
xtset isic Year
save WIOT2012-industry-CHN.dta,replace
//
use WIOT2013-industry.dta
drop vUSA*
drop if Country=="CHN"
save  WIOT2013-industry-CHN.dta

use WIOT2013-industry.dta
drop vCHN*
drop if Country=="USA"
save  WIOT2013-industry-USA.dta

rename vUSA4 I10
rename vUSA5 I15
rename vUSA6 I17
rename vUSA7 I20
rename vUSA8 I21
rename vUSA9 I22
rename vUSA10 I23
gen I24=vUSA11+vUSA12
rename vUSA13 I25
rename vUSA14 I26
rename vUSA15 I27
rename vUSA16 I28
gen I29=vUSA17+vUSA18+vUSA19+vUSA23
gen I34=vUSA20+vUSA21
rename vUSA22 I36
rename vUSA24 I40
order I*
order Country Year isic I10-I40
save WIOT2013-industry-USA.dta,replace
collapse (sum) I*,by(Country Year)
append using WIOT2013-industry-USA.dta
order Country Year isic I10-I40
xtset isic Year
save WIOT2013-industry-USA.dta,replace

use WIOT2013-industry-CHN.dta
rename vCHN4 I10
rename vCHN5 I15
rename vCHN6 I17
rename vCHN7 I20
rename vCHN8 I21
rename vCHN9 I22
rename vCHN10 I23
gen I24=vCHN11+vCHN12
rename vCHN13 I25
rename vCHN14 I26
rename vCHN15 I27
rename vCHN16 I28
gen I29=vCHN17+vCHN18+vCHN19+vCHN23
gen I34=vCHN20+vCHN21
rename vCHN22 I36
rename vCHN24 I40
order I*
order Country Year isic I10-I40
save WIOT2013-industry-CHN.dta,replace

collapse (sum) I*,by(Country Year)
append using WIOT2013-industry-CHN.dta
order Country Year isic I10-I40
xtset isic Year
save WIOT2013-industry-CHN.dta,replace
//
use WIOT2014-industry.dta
drop vUSA*
drop if Country=="CHN"
save  WIOT2014-industry-CHN.dta

use WIOT2014-industry.dta
drop vCHN*
drop if Country=="USA"
save  WIOT2014-industry-USA.dta

rename vUSA4 I10
rename vUSA5 I15
rename vUSA6 I17
rename vUSA7 I20
rename vUSA8 I21
rename vUSA9 I22
rename vUSA10 I23
gen I24=vUSA11+vUSA12
rename vUSA13 I25
rename vUSA14 I26
rename vUSA15 I27
rename vUSA16 I28
gen I29=vUSA17+vUSA18+vUSA19+vUSA23
gen I34=vUSA20+vUSA21
rename vUSA22 I36
rename vUSA24 I40
order I*
order Country Year isic I10-I40
save WIOT2014-industry-USA.dta,replace
collapse (sum) I*,by(Country Year)
append using WIOT2014-industry-USA.dta
order Country Year isic I10-I40
xtset isic Year
save WIOT2014-industry-USA.dta,replace

use WIOT2014-industry-CHN.dta
rename vCHN4 I10
rename vCHN5 I15
rename vCHN6 I17
rename vCHN7 I20
rename vCHN8 I21
rename vCHN9 I22
rename vCHN10 I23
gen I24=vCHN11+vCHN12
rename vCHN13 I25
rename vCHN14 I26
rename vCHN15 I27
rename vCHN16 I28
gen I29=vCHN17+vCHN18+vCHN19+vCHN23
gen I34=vCHN20+vCHN21
rename vCHN22 I36
rename vCHN24 I40
order I*
order Country Year isic I10-I40
save WIOT2014-industry-CHN.dta,replace

collapse (sum) I*,by(Country Year)
append using WIOT2014-industry-CHN.dta
order Country Year isic I10-I40
xtset isic Year
save WIOT2014-industry-CHN.dta,replace

*1999-2011
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\中间品关税\wiot_stata_sep12"
use wiot_full.dta
drop if row_country!="CHN"&row_country!="USA"
drop if col_country!="CHN"&col_country!="USA"
save wiot_CHN_USA.dta
drop if row_item==1|row_item>17
drop if col_item==1|col_item>17 
drop if row_country==col_country
gen row_isic=row_item
gen col_isic=col_item
replace row_isic=10 if row_item==2
replace row_isic=15 if row_item==3
replace row_isic=17 if row_item==4|row_item==5
replace row_isic=20 if row_item==6
replace row_isic=21 if row_item==7
replace row_isic=23 if row_item==8
replace row_isic=24 if row_item==9
replace row_isic=25 if row_item==10
replace row_isic=26 if row_item==11
replace row_isic=27 if row_item==12
replace row_isic=29 if row_item==13|row_item==14
replace row_isic=34 if row_item==15
replace row_isic=36 if row_item==16
replace row_isic=40 if row_item==17

replace col_isic=10 if col_item==2
replace col_isic=15 if col_item==3
replace col_isic=17 if col_item==4|col_item==5
replace col_isic=20 if col_item==6
replace col_isic=21 if col_item==7
replace col_isic=23 if col_item==8
replace col_isic=24 if col_item==9
replace col_isic=25 if col_item==10
replace col_isic=26 if col_item==11
replace col_isic=27 if col_item==12
replace col_isic=29 if col_item==13|col_item==14
replace col_isic=34 if col_item==15
replace col_isic=36 if col_item==16
replace col_isic=40 if col_item==17
save wiot_sample.dta
collapse (sum) col_value=value,by(year row_country col_country row_isic col_isic)
save wiot_col.dta,replace
use wiot_sample.dta
collapse (sum) row_value=value,by(year row_country col_country row_isic col_isic)
save wiot_row.dta,replace

use wiot_col.dta
save wiot_use.dta
merge 1:1 year row_country col_country row_isic col_isic using wiot_row.dta
gen bias=col_value-row_value
gen b=1 if bias==0
save wiot_col.dta,replace
collapse (sum) sum_value=col_value,by(year row_country col_country row_isic)
save wiot_sum.dta
merge 1:m year row_country col_country row_isic using wiot_use.dta
sort year row_country col_country row_isic col_isic
drop _merge
rename col_value value 
gen ratio=value/sum_value
save wiot_use.dta,replace
label variable col_country "供给国 出口国"
label variable row_country "进口国"
drop if row_country!="CHN"
save wiot_中国从美国进口.dta
use wiot_use.dta
drop if row_country!="USA"
save wiot_美国从中国进口.dta

cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序\最终版"
use 中国从美国进口行业关税1998-2014.dta
gen altariff=cutariff*n_4
gen isic_inter=isic3_2adj
replace isic_inter=10 if isic3_2adj==11
replace isic_inter=21 if isic3_2adj==22
replace isic_inter=27 if isic3_2adj==28
replace isic_inter=36 if isic3_2adj==37 //0
save 中国从美国进口行业关税-合并1998-2011IIT.dta
collapse (sum) n_4 altariff,by(year isic_inter)
xtset isic_inter year
gen cutariff_fin=altariff/n_4
save 中国从美国进口行业关税调整.dta
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\中间品关税\wiot_stata_sep12"
joinby year isic_inter using wiot_中国从美国进口.dta
gen cutariff_int=cutariff_fin*ratio
save wiot_中国从美国进口1998-2011.dta

cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序\最终版"
use 美国从中国进口行业关税1998-2014.dta
gen altariff=uctariff*n_4
gen isic_inter=isic3_2adj
replace isic_inter=10 if isic3_2adj==11
replace isic_inter=21 if isic3_2adj==22
replace isic_inter=27 if isic3_2adj==28
replace isic_inter=36 if isic3_2adj==37 //0
save 美国从中国进口行业关税-合并1998-2011IIT.dta
collapse (sum) n_4 altariff,by(year isic_inter)
xtset isic_inter year
gen uctariff_fin=altariff/n_4
save 美国从中国进口行业关税调整.dta
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\中间品关税\wiot_stata_sep12"
joinby year isic_inter using wiot_美国从中国进口.dta
gen uctariff_int=uctariff_fin*ratio
save wiot_美国从中国进口1998-2011.dta

clear
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\中间品关税\wiot_stata_sep12"
use wiot_中国从美国进口1998-2011.dta
sort  year row_isic isic_inter
collapse (sum)ratio cutariff_int (mean)sum_value value,by(year row_isic *_country)
xtset row_isic year
*使行业11的关税等于行业10,22=21 28=27
save CUIIT1998-2011调整后.dta

use wiot_美国从中国进口1998-2011.dta
sort  year row_isic isic_inter
collapse (sum)ratio uctariff_int (mean)sum_value value,by(year row_isic *_country)
xtset row_isic year
*使行业11的关税等于行业10,22=21 28=27
save UCIIT1998-2011调整后.dta
append using CUIIT1998-2011调整后.dta
rename row_country country
rename col_country f_country
rename row_isic isic
rename isic isic3_2adj
rename uctariff_int hftariff_int
replace hftariff=cutariff if country=="CHN"
save IIT1998-2011调整后.dta,replace


cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序\最终版"
use 中国从美国进口行业关税1998-2014.dta
drop if year<2012
gen altariff=cutariff*n_4
gen isic_inter=isic3_2adj
replace isic_inter=10 if isic3_2adj==11
save 中国从美国进口行业关税-合并2012-2014IIT.dta
collapse (sum) n_4 altariff,by(year isic_inter)
xtset isic_inter year
gen cutariff_fin=altariff/n_4
sort year isic_inter
save 中国从美国进口行业关税2012-2014调整.dta


use 美国从中国进口行业关税1998-2014.dta
drop if year<2012
gen altariff=uctariff*n_4
gen isic_inter=isic3_2adj
replace isic_inter=10 if isic3_2adj==11
save 美国从中国进口行业关税-合并2012-2014IIT.dta
collapse (sum) n_4 altariff,by(year isic_inter)
xtset isic_inter year
gen uctariff_fin=altariff/n_4
sort year isic_inter
save 美国从中国进口行业关税2012-2014调整.dta

*1998-2014
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\中间品关税\wiot_stata_sep12"
use UCIIT1998-2014调整后.dta
append using CUIIT1998-2014调整后.dta
 rename row_country country
 rename col_country f_country
 rename row_isic isic3_2adj
 rename hftariff_int hfiit
 drop ratio
save IIT1998-2014调整后.dta,replace


*···································面板·······································*
use CUIIT1998-2014调整后.dta
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序\最终版"
merge 1:1 year isic3_2 country using CHpanel1999-2014.dta
. rename cuvalue hfvalue
. rename cutariff hftariff
. rename uctariff fhtariff
drop if year<1999
save CHpanel1999-2014.dta,replace

cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\中间品关税\wiot_stata_sep12"
use UCIIT1998-2014调整后.dta
cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序\最终版"
merge 1:1 year isic3_2 country using USpanel1999-2014.dta
. rename ucvalue hfvalue
. rename cutariff fhtariff
. rename uctariff hftariff
drop if year==1998
save USpanel1999-2014.dta,replace
append using CHpanel1999-2014.dta
egen code=group(isic3_2adj country)
order year code
xtset code year
save panel1999-2014.dta
