cd "D:\研究生\中美贸易战\期刊论文\国际贸易问题\程序" 

log using 统计性描述.log
use panel1999-2014.dta
gen cross=hftariff*fhtariff
xtset code year
collapse (mean) realpro  hftariff hiit cross hgni2010 hn_firms realffdi ///
	(max)realpro_max=realpro hftariff_max=hftariff hiit_max=hiit  ///
	cross_max=cross hgni2010_max=hgni2010 hn_firms_max=hn_firms realffdi_max=realffdi ///
	(min)realpro_min=realpro hftariff_min=hftariff hiit_min=hiit  ///
	cross_min=cross hgni2010_min=hgni2010 hn_firms_min=hn_firms realffdi_min=realffdi ///
	(count)realpro_n=realpro hftariff_n=hftariff hiit_n=hiit  ///
	cross_n=cross hgni2010_n=hgni2010 hn_firms_n=hn_firms realffdi_n=realffdi ///
	(sd) realpro_sd=realpro hftariff_sd=hftariff hiit_sd=hiit  ///
	cross_sd=cross hgni2010_sd=hgni2010 hn_firms_sd=hn_firms realffdi_sd=realffdi ///
	,by(country)
order isic country pro* hftariff*
save 统计性描述.dta

*regression
use panel1999-2014.dta

xtreg realpro fhtariff  hftariff   ///
	 i.year ,fe vce(cluster code)
est store base01
xtreg realpro fhtariff  hftariff cross  ///
	 i.year ,fe vce(cluster code)
est store base02
xtreg realpro fhtariff  hftariff cross hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi i.year ,fe vce(cluster code) 
est store base03 

xtreg realpro fhtariff  hftariff hiit  ///
	 i.year ,fe vce(cluster code) 
est store iit01
xtreg realpro fhtariff  hftariff hiit cross  ///
	 i.year ,fe vce(cluster code) 
est store iit02
xtreg realpro fhtariff  hftariff hiit cross hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi i.year ,fe vce(cluster code)   
est store iit03


esttab  base01 base02 base03 iit01 iit02 iit03	  ///
	using 基础回归realt.csv,compress nogap b(%12.4f) ///
	t(%12.2f) r2(%12.4f) ar2(%12.4f) star(* 0.1 ** 0.05 *** 0.01) 
	
*长期
gen hftariff01=L.hftariff
gen fhtariff01=L.fhtariff
gen cross01=fhtariff01*hftariff01
xtreg realpro fhtariff01 hftariff01  ///
	  i.year ,fe vce(cluster code) 
est store ml01
xtreg realpro fhtariff01 hftariff01 cross01  ///
	  i.year ,fe vce(cluster code)  
est store ml02
xtreg realpro fhtariff01 hftariff01 hiit01 cross01  ///
	  i.year ,fe vce(cluster code)
est store mliit02
xtreg realpro fhtariff01 hftariff01 hiit01 cross01 hgni2010 fgni2010 hn_firms fn_firms ///
	  realffdi i.year ,fe vce(cluster code)	 
est store mliit03	
xtreg realpro fhtariff01 hftariff01 hiit01 cross01 hgni2010 fgni2010 hn_firms fn_firms ///
	  hftariff fhtariff hiit realffdi i.year ,fe vce(cluster code)    	
est store mliit04

esttab  ml01 ml02 mliit02 mliit03 mliit04	  ///
	using 中长期回归realt.csv,compress nogap b(%12.4f) ///
	t(%12.2f) r2(%12.4f) ar2(%12.4f) star(* 0.1 ** 0.05 *** 0.01) 

	
*更换变量
gen crimp=hfimp*fhimp
gen hfimp01=L.hfimp
gen fhimp01=L.fhimp
gen crimp01=L.crimp
xtreg realpro hfimp fhimp i.year ,fe vce(cluster code) 	
est store imp01
xtreg realpro hfimp fhimp crimp i.year ,fe vce(cluster code)
est store imp02
xtreg realpro hfimp fhimp realffdi crimp ///
	hgni2010 fgni2010 hn_firms fn_firms i.year ,fe vce(cluster code) 
est store imp03

xtreg realpro hfimp01 fhimp01 ///
	i.year ,fe vce(cluster code) 
est store imp04
xtreg realpro hfimp01 fhimp01 crimp01 i.year ,fe vce(cluster code)
est store imp05
xtreg realpro hfimp01 fhimp01 realffdi crimp01 ///
	hgni2010 fgni2010 hn_firms fn_firms i.year ,fe vce(cluster code) 
est store imp06
xtreg realpro hfimp01 fhimp01 realffdi crimp01 ///
	hfimp fhimp hgni2010 fgni2010 hn_firms fn_firms i.year ,fe vce(cluster code) 
est store imp07
esttab  imp01 imp02 imp03 imp04 imp05 imp06	 imp07  ///
	using 更换变量realt.csv,compress nogap b(%12.4f) ///
	t(%12.2f) r2(%12.4f) ar2(%12.4f) star(* 0.1 ** 0.05 *** 0.01) 	

save panel1999-2014.dta,replace

*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~CH
use CHpanel1999-2014.dta
xtreg realpro fhtariff  hftariff  i.year ,fe vce(cluster isic3_2adj)
est store base01
xtreg realpro fhtariff  hftariff  cross ///
	i.year ,fe vce(cluster isic3_2adj) 
	est store base02
xtreg  realpro fhtariff  hftariff cross hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi i.year ,fe vce(cluster isic3_2adj)   //	
est store base03
xtreg realpro fhtariff  hftariff hiit i.year ,fe vce(cluster isic3_2adj)
est store iit01
xtreg realpro fhtariff  hftariff hiit cross i.year ,fe vce(cluster isic3_2adj)
est store iit02	
xtreg  realpro fhtariff  hftariff hiit cross hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi i.year ,fe vce(cluster isic3_2adj) 
est store iit03
esttab  base01 base02 base03 iit01 iit02 iit03	  ///
	using CHN基础回归realt.csv,compress nogap b(%12.4f) ///
	t(%12.2f) r2(%12.4f) ar2(%12.4f) star(* 0.1 ** 0.05 *** 0.01) 
	

*长期
xtreg realpro fhtariff01 hftariff01  ///
	  i.year ,fe vce(cluster isic3_2adj) 
est store ml01
xtreg realpro fhtariff01 hftariff01 cross01  ///
	  i.year ,fe vce(cluster isic3_2adj)  
est store ml02
xtreg realpro fhtariff01 hftariff01 hiit01 cross01  ///
	  i.year ,fe vce(cluster isic3_2adj)
est store mliit02
xtreg realpro fhtariff01 hftariff01 hiit01 cross01 hgni2010 fgni2010 hn_firms fn_firms ///
	  realffdi i.year ,fe vce(cluster isic3_2adj) 
est store mliit03	
xtreg realpro fhtariff01 hftariff01 hiit01 cross01 hgni2010 fgni2010 hn_firms fn_firms ///
	  hftariff fhtariff hiit realffdi i.year ,fe vce(cluster isic3_2adj)
est store mliit04
esttab  ml01 ml02 mliit02 mliit03 mliit04	  ///
	using CHN中长期回归realt.csv,compress nogap b(%12.4f) ///
	t(%12.2f) r2(%12.4f) ar2(%12.4f) star(* 0.1 ** 0.05 *** 0.01) 
	

	
*更换变量
xtreg realpro hfimp fhimp i.year ,fe vce(cluster code) 	
est store imp01
xtreg realpro hfimp fhimp crimp i.year ,fe vce(cluster code) 
est store imp02
xtreg realpro hfimp fhimp realffdi crimp ///
	hgni2010 fgni2010 hn_firms fn_firms i.year ,fe vce(cluster isic3_2adj) 	 
est store imp03

xtreg realpro hfimp01 fhimp01 ///
	i.year ,fe vce(cluster code) 
est store imp04
xtreg realpro hfimp01 fhimp01 crimp01 i.year ,fe vce(cluster code) 
est store imp05
xtreg realpro hfimp01 fhimp01 realffdi crimp01 ///
	hgni2010 fgni2010 hn_firms fn_firms i.year ,fe vce(cluster code) 
est store imp06
xtreg realpro hfimp01 fhimp01 realffdi crimp01 ///
	hfimp fhimp hgni2010 fgni2010 hn_firms fn_firms i.year ,fe vce(cluster code) 
est store imp07
esttab  imp01 imp02 imp03 imp04 imp05 imp06	 imp07  ///
	using CHN更换变量realt.csv,compress nogap b(%12.4f) ///
	t(%12.2f) r2(%12.4f) ar2(%12.4f) star(* 0.1 ** 0.05 *** 0.01) 



save CHpanel1999-2014.dta,replace

*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~US
use USpanel1999-2014.dta
xtreg realpro fhtariff  hftariff  i.year ,fe vce(cluster isic3_2adj)
est store base01
xtreg realpro fhtariff  hftariff  cross ///
	i.year ,fe vce(cluster isic3_2adj) 
	est store base02
xtreg realpro fhtariff  hftariff hiit  ///
	 i.year ,fe vce(cluster isic3_2adj) 
est store iit01
xtreg realpro fhtariff  hftariff hiit cross  ///
	 i.year ,fe vce(cluster isic3_2adj) 
est store iit02
xtreg  realpro fhtariff  hftariff hiit cross hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi i.year ,fe vce(cluster isic3_2adj)
est store iit03

xtreg realpro fhtariff  hftariff cross hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi i.year ,fe vce(cluster isic3_2adj)  //*
est store base03 
esttab  base01 base02 base03 iit01 iit02 iit03	  ///
	using US基础回归realt.csv,compress nogap b(%12.4f) ///
	t(%12.2f) r2(%12.4f) ar2(%12.4f) star(* 0.1 ** 0.05 *** 0.01) 
	
*长期
xtreg realpro fhtariff01 hftariff01  ///
	  i.year ,fe vce(cluster isic3_2adj) 
est store ml01
xtreg realpro fhtariff01 hftariff01 cross01  ///
	  i.year ,fe vce(cluster isic3_2adj)  
est store ml02
xtreg realpro fhtariff01 hftariff01 hiit01 cross01  ///
	  i.year ,fe vce(cluster isic3_2adj)
est store mliit02
xtreg realpro fhtariff01 hftariff01 hiit01 cross01 hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi i.year ,fe vce(cluster isic3_2adj)  //*
est store mliit03	
xtreg realpro fhtariff01 hftariff01 cross01  hiit01 hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi fhtariff  hftariff hiit i.year ,fe vce(cluster isic3_2adj)  //
est store mliit04
esttab  ml01 ml02 mliit02 mliit03 mliit04	  ///
	using US中长期回归realt.csv,compress nogap b(%12.4f) ///
	t(%12.2f) r2(%12.4f) ar2(%12.4f) star(* 0.1 ** 0.05 *** 0.01) 

	
*更换变量
xtreg realpro hfimp fhimp i.year ,fe vce(cluster isic3_2adj) 	
est store imp01
xtreg realpro hfimp fhimp crimp i.year ,fe vce(cluster isic3_2adj) 
est store imp02
xtreg realpro hfimp fhimp crimp hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi i.year ,fe vce(cluster isic3_2adj) 
est store imp03

xtreg realpro hfimp01 fhimp01 ///
	i.year ,fe vce(cluster isic3_2adj) 
est store imp04
xtreg realpro hfimp01 fhimp01 crimp01 i.year ,fe vce(cluster isic3_2adj) 
est store imp05
xtreg realpro hfimp01 fhimp01 crimp01 hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi i.year ,fe vce(cluster isic3_2adj) 
est store imp06
xtreg realpro hfimp01 fhimp01 crimp01 hgni2010 fgni2010 hn_firms fn_firms ///
	 realffdi hfimp fhimp i.year ,fe vce(cluster isic3_2adj) 
est store imp07
esttab  imp01 imp02 imp03 imp04 imp05 imp06	 imp07  ///
	using US更换变量realt.csv,compress nogap b(%12.4f) ///
	t(%12.2f) r2(%12.4f) ar2(%12.4f) star(* 0.1 ** 0.05 *** 0.01) 

save USpanel1999-2014.dta,replace	




